org.eclipse.jetty.client

## Class HttpExchange.ContentExchange

- java.lang.Object
- - org.eclipse.jetty.client.HttpExchange
  - - org.eclipse.jetty.client.CachedExchange
    - - org.eclipse.jetty.client.ContentExchange
      - - org.eclipse.jetty.client.HttpExchange.ContentExchange

Enclosing class:
  HttpExchange

Deprecated.
use `ContentExchange` instead

    @Deprecated
    public static class HttpExchange.ContentExchange
    extends ContentExchange

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.client.HttpExchange

`HttpExchange.CachedExchange, HttpExchange.ContentExchange`

### Field Summary

### Fields inherited from class org.eclipse.jetty.client.HttpExchange

`STATUS_CANCELLED, STATUS_CANCELLING, STATUS_COMPLETED, STATUS_EXCEPTED, STATUS_EXPIRED, STATUS_PARSING_CONTENT, STATUS_PARSING_HEADERS, STATUS_SENDING_REQUEST, STATUS_START, STATUS_WAITING_FOR_COMMIT, STATUS_WAITING_FOR_CONNECTION, STATUS_WAITING_FOR_RESPONSE`

### Constructor Summary

Constructors
Constructor and Description
`HttpExchange.ContentExchange()` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.jetty.client.ContentExchange

`getFileForUpload, getResponseContent, getResponseContentBytes, onResponseContent, onResponseHeader, onResponseStatus, onRetry, setFileForUpload`

### Methods inherited from class org.eclipse.jetty.client.CachedExchange

`getResponseFields, getResponseStatus`

### Methods inherited from class org.eclipse.jetty.client.HttpExchange

`addRequestHeader, addRequestHeader, cancel, cancelTimeout, configureListeners, expire, getAddress, getEventListener, getLocalAddress, getMethod, getRequestContent, getRequestContentChunk, getRequestContentSource, getRequestFields, getRequestURI, getRetryStatus, getScheme, getStatus, getTimeout, getURI, getVersion, isDone, isDone, onConnectionFailed, onException, onExpire, onRequestCommitted, onRequestComplete, onResponseComplete, onResponseHeaderComplete, onSwitchProtocol, reset, scheduleTimeout, setAddress, setConfigureListeners, setEventListener, setMethod, setRequestContent, setRequestContentSource, setRequestContentType, setRequestHeader, setRequestHeader, setRequestURI, setRetryStatus, setScheme, setScheme, setTimeout, setURI, setURI, setURL, setVersion, setVersion, toState, toString, waitForDone, waitForStatus`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpExchange.ContentExchange

    public HttpExchange.ContentExchange()

Deprecated.